libogg documentation | libogg release 1.0 - 20000615

# ogg_stream_packetout

declared in "ogg/ogg.h";

This function assembles a raw data packet for output to the codec decoding engine. The data is already in the stream and broken into packet segments.

In a typical decoding situation, this should be used after calling ogg_stream_pagein() to submit a page of data to the bitstream.

    int ogg_stream_packetout(ogg_stream_state *os,ogg_packet *op);

### Parameters

os
  Pointer to a previously declared ogg_stream_state struct. Before this function is called, an ogg_page should be submitted to the stream using ogg_stream_pagein().
op
  Pointer to the packet that will be submitted to the decoding layer after this function is called.

### Return Values

> - -1 if we are out of sync and there is a gap in the data. Usually this will not be a fatal error.
> - 1 in all other cases.

copyright © 2000 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg release 1.0 - 20000615